Subject: Re: [PATCH] software node: recursively unregister child swnodes

From: Jordan Hand <[email-masked]>
Date: Thu, 4 Jun 2020 16:28:43 -0700

On 6/4/20 1:57 PM, Jordan Hand wrote:
> On 6/4/20 1:15 PM, Greg Kroah-Hartman wrote:
>> On Thu, Jun 04, 2020 at 12:36:23PM -0700, [email-masked] 
> 
> That said, I suppose just ordering the nodes so that children come 
> before parents would also be fine. My thinking was just that accepting 
> any node ordering is simpler.
> 

Oh, actually I just tried that out and software_node_register_nodes 
doesn't allow this (parents must be added before children).

So I still think software_node_register_nodes and 
software_node_unregister_nodes are made more useful if children are 
removed recursively. I'll make some changes for v2 to make the change 
less far-reaching + better documentation.

Thanks,
Jordan